<?php

/**
 * Carerix Wordpress Plugin
 *
 * @category settings
 * @author Bogdan Ivanov
 * @copyright Copyright (c) 2013 Carerix.com (http://www.carerix.com)
 * @link http://www.carerix.com
 * @since Sep 5, 2013 8:55:47 AM
 * @version $Rev$
 */

/**
 * OpenForm class
 * Used to ....
 */
class Frontend_Shortcode_OpenForm {

    private $params = array();

    public function __construct() {
        ;
    }

    public function run($params) {
	    $this->params = $params;

        $form_id_param = 'openformid';
        $pub_id_param = 'openpubid';

        $preselect = array();

        if (isset($params['function'])) {
            if (!isset($params['businessline']))
                $parent = Entity_Form_EmployeeApply::get_parent((int) $params['function']);
            else
                $parent = $params['businessline'];

            $preselect['wishes[desiredFunction1]'] = (int) $parent;
            $preselect['wishes[desiredFunction1]_child'] = (int) $params['function'];
        }

        if (!isset($params[$form_id_param])) {
            echo 'required form id parameter not found';
            return;
        }

        $publication_id = isset($params[$pub_id_param]) ? $params[$pub_id_param] : false;

        $form_id = $params[$form_id_param];

        $form_source = new Entity_Form((int) $form_id);
        $formData = $form_source->getData();
        $formData['settings'] = unserialize($formData['settings']);

        if ($publication_id == false) {
            $publications = Carerix_Api_Rest_Entity_CRPublication::findAll(array('qualifier' => 'toVacancy.isOpenApplication = 1', 'show' => array('publicationID', 'toVacancy.isOpenApplication')));
            $publication = null;
            foreach ($publications as $p) {
                $publication = $p;
                break;
            }
            if ($publication !== null) {
                $publication_id = $publication->getId();
            }
        }

	    return Entity_Form_EmployeeApply::display($formData['settings'], $publication_id, $preselect);
    }

}
