<?php /** @noinspection PhpUndefinedVariableInspection */ ?>

<form method="post" class="undoable">
    <?php wp_nonce_field('googleforjobs', '_carerix_nonce_field');
    $xml_sitemap_link = get_bloginfo('url') . '/?carerix_sitemap'; ?>

    <table class="form-table">
        <tbody>
        <tr valign="top">
            <th scope="col" colspan="2">
                <div class="carerix_msgBox carerix_note">
                    You can improve the job seeking experience by adding job posting structured data to your job posting web pages. Adding structured data makes your job postings eligible to appear in a special user experience in Google Search results.<br/>
                    <br/>
                    Hint: Register the URL <a href="<?php echo $xml_sitemap_link;?>" target="_blank"><?php echo $xml_sitemap_link;?></a> as a sitemap in Google Search Console for faster vacancy indexing!
                </div>
            </th>
        </tr>

        <tr valign="top">
            <th scope="row">
                <label for="googleforjobs_enabled">Enable Google for Jobs support</label>
            </th>
            <td valign="left" colspan="2">
                <label>
                    <input type="checkbox" name="googleforjobs_enabled" id="googleforjobs_enabled" <?php echo $checked = @$googleforjobs_enabled == 'on' ? 'checked' : '';  ?> >
                    By enabling, job posting structured data is added to the job description pages.<br/>
                    Make sure you understand the following:<br/>
                    <ul style="list-style: inherit; padding-left: 16px; margin-top:0;">
                        <li style="margin-bottom: 0;"><b>Hiring organization</b> and the <b>job location</b> are also publicly shared if your vacancies (job orders) in Carerix are not set to <b>anonymous</b>;</li>
                        <li style="margin-bottom: 0;">If you want to share <b>Purchase rate/Salary low/high</b> too, activate the 'Synchronize by REST-API' option in the Settings tab. The <b>Publish Salary</b> checkbox in your Carerix application will be respected too.</li>
                    </ul>
                </label>
            </td>
        </tr>


        <tr valign="top">
            <th scope="row" colspan="2">
                <h3>Replacement settings for anonymous vacancies/job orders</h3>
                If a vacancy is marked as 'anonymous' (Carerix -> Job order -> Tab general -> Section General->Settings: Anonymous job order),
                the following settings will be used in the structured data.
            </th>
        </tr>


        <tr valign="top">
            <th scope="row">
                <label>Hiring organization</label>
            </th>
            <td>
                <input type="text" name="googleforjobs_organization" class="regular-text" value="<?php echo $googleforjobs_organization; ?>" />
            </td>
        </tr>


        <tr valign="top">
            <th scope="row">
                <label>Hiring organization logo</label>
            </th>
            <td>
	            <?php
                // https://wordpress.stackexchange.com/questions/235406/how-do-i-select-an-image-from-media-library-in-my-plugin
                // https://codex.wordpress.org/Javascript_Reference/wp.media
	            if( intval( $myprefix_image_id ) > 0 ) {
		            // Change with the image size you want to use
		            $image = wp_get_attachment_image( $myprefix_image_id, 'medium', false, array( 'id' => 'myprefix-preview-image' ) );
	            } else {
		            // Some default image
		            $image = '<img id="myprefix-preview-image" src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///ywAAAAAAQABAAACAUwAOw==" alt="" />';
	            }
	            ?>
	            <?php echo $image; ?>
                <br/>
                <?php // echo "ID: {$myprefix_image_id}"; ?>
                <input type="hidden" name="myprefix_image_id" id="myprefix_image_id" value="<?php echo esc_attr( $myprefix_image_id ); ?>" class="regular-text" />
                <input type='button' class="button-primary" value="<?php esc_attr_e( 'Select logo', 'mytextdomain' ); ?>" id="myprefix_media_manager"/>
                <input type='button' class="button hidden" value="Remove" id="myprefix_logo_remove" />
            </td>
        </tr>


        <tr valign="top">
            <td colspan="2">
                <p class="submit ">
                    <input type="submit" name="submit" id="submit" class="button button-primary " value="Save changes">
                </p>
            </td>
        </tr>
        </tbody>
    </table>
</form>